/* ======= RESET ======= */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ======= BODY ======= */

body {
  font-family: "Elms Sans", sans-serif;
  background-color: #fff5e4;
  color: black;
  padding-top: 80px;
  /* -ms-overflow-style: none; */
}

/* ======= SCROLL ======= */

html {
  scroll-behavior: smooth;
  scroll-padding-top: 140px;
}

::-webkit-scrollbar {
  width: 6px;
  /* width: 0px;
  background: transparent; */
}

::-webkit-scrollbar-track {
  background: #fff5e4;
}

::-webkit-scrollbar-thumb {
  background: #1e40ff;
  border-radius: 10px;
}

/* ======= NAVBAR ======= */

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 40px;
  border-bottom: 1px solid #ff751f;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: auto;
  background: #fff5e4;
  z-index: 1000;
  transition: 0.1s;
}

.logo a {
  text-decoration: none;
  color: black;
  font-size: 24px;
  font-family: Arial, Helvetica, sans-serif;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 30px;
}

.nav-links a {
  text-decoration: none;
  color: black;
  font-size: 24px;
  font-family: Arial, Helvetica, sans-serif;
}

.nav-links a:hover {
  color: #1e40ff;
}

.navbar.scrolled {
  background-color: #1e40ff;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.navbar.scrolled .logo a,
.navbar.scrolled .nav-links a {
  color: white;
}

.navbar.scrolled .menu-toggle span {
  background: white;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
  margin-left: auto;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: black;
  display: block;
  transition: 0.1s;
}

@media (max-width: 768px) {

  .navbar {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  .menu-toggle {
    display: flex;
    margin-left: auto; 
  }

  .nav-links {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;

    display: flex;
    flex-direction: column;
    align-items: flex-end;

    gap: 15px;
    padding: 20px 40px;

    background: inherit;

    opacity: 0;
    transform: translateY(-8px);
    visibility: hidden;
    pointer-events: none;

    transition: 0.1s ease;
    border-bottom: 1px solid #ff751f;
  }

  .nav-links.active {
    opacity: 1;
    transform: translateY(0);
    visibility: visible;
    pointer-events: auto;
  }

  .nav-links li {
    width: 100%;
    display: flex;
    justify-content: flex-end; 
  }

  .nav-links a {
    text-align: right;
  }

  .navbar.scrolled .nav-links {
    background: #1e40ff;
  }
}

/* ======= TITLES ======= */

.section-title {
  font-family: "Rubik Mono One", monospace;
  font-size: 32px;
  color: #ff751f;
  margin-bottom: 40px;
  transition: color 0.3s ease;
}

.section-title:hover {
  color: #1e40ff;
}

.sub-title {
  font-size: 24px;
  color: #ff751f;
  margin-bottom: 15px;
}

.bold-text {
  color: #ff751f;
  font-weight: bold;
}

.image-credit {
  font-size: 12px;
  color: #777;
  margin-top: 6px;
  line-height: 1.6;
}

/* ======= FOOTER ======= */

.footer {
  border-top: 1px solid #ff751f;
  margin-top: 100px;
  padding: 60px 0;
}

.footer-container {
  width: 80%;
  margin: 0 auto;
}

.footer-top {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: start;
}

.footer-left {
  text-align: left;
}

.footer-center {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: flex-start; /* ✅ align to top */
  line-height: 1.6;
  margin-top: 16px; /* ❌ remove manual offset */
}

.footer-right {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start; /* ✅ align to top */
  text-align: right;
  gap: 20px;
}

.footer-title {
  font-family: "Rubik Mono One", monospace;
  font-size: 32px;
  color: #1e40ff;
}

.footer-subtitle {
  font-size: 14px;
  margin-left: 3px;
  color: #333;
}

.footer-credits {
  text-align: left;
  font-size: 12px;
  margin: 8px 0px 0px 3px;
  color: #777;
}

.footer-credits a {
  text-decoration: none;
  color: #777; 
}

.footer-credits a:hover {
  color: #1e40ff;
  font-weight: 700;
}

.footer-center a {
  text-decoration: none;
  color: black;
}

.footer-center a:hover {
  color: #1e40ff;
}

.footer-right .icon {
  font-size: 36px;
  color: black;
}

.footer-right .icon:hover {
  color: #1e40ff;
}

.footer-bottom {
  text-align: center;
  margin-top: 25px;
}

.footer-copyright {
  font-size: 12px;
  color: #777;
  letter-spacing: 0.5px;
}

@media (max-width: 768px) {

  .footer-top {
    grid-template-columns: 1fr;
    gap: 25px;

    text-align: center;
  }

  .footer-left,
  .footer-center,
  .footer-right {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .footer-right {
    flex-direction: row;
    justify-content: center;
  }
}

